EDIT - bug #9688

Make disabled fields copyable
06/30/2021 09:59 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal Found in Version:

Description

from #9287:

There is only one final issue which is valid for all disabled fields. Is it possible to generally make disabled fields copyable? Currently
they only show the text but it is not possble to copy it. At some places this is already implemented. We probably should move this

issue to a new ticket.

Related issues:

Has duplicate EDIT - bug #8277: Username (and other fields) should allow c&p Duplicate

Copied from EDIT - feature request #9287: Show term details in details view o... Closed

Associated revisions

Revision 8fbdff7b - 06/30/2021 10:01 AM - Katja Luther
ref #9688: make disabled fields copyable

Revision 5953dcce - 07/01/2021 12:13 PM - Katja Luther

fix #9688: Adapt toggleable text field to textWithLabel to avoid changes if disabled

Revision 20e64571 - 07/01/2021 02:54 PM - Katja Luther
fix #9688: Fix disabled toggleable text field

Revision 4181f8aa - 07/09/2021 11:33 AM - Katja Luther

ref #9688: keep username field disabled when updating controls

History

#1 - 06/30/2021 09:59 AM - Katja Luther

- Subject changed from make disabled fields copyable to Make disabled fields copyable

#2 - 06/30/2021 11:04 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.25

please review.

#3 - 07/01/2021 10:00 AM - Andreas Miiller

- Copied from feature request #9287: Show term details in details view of term tree editor added

#4 - 07/01/2021 10:02 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 30

Copy from #9287:
AM:
For toggleable they still set the dirty flag (tested on Person details view with bulk editor). This is unwanted.
| do not yet fully understand why it is not possible to use the same technique as for ordinary text fields in toggleable fields.
KL:
The same technique is used for text fields and toggleable text fields but maybe | need to have a look on the event handling of the toggleable text field.
#5 - 07/01/2021 10:32 AM - Katja Luther
Andreas Muller wrote:
Copy from #9287:
AM:
For toggleable they still set the dirty flag (tested on Person details view with bulk editor). This is unwanted.
| do not yet fully understand why it is not possible to use the same technique as for ordinary text fields in toggleable fields.
KL:
The same technique is used for text fields and toggleable text fields but maybe | need to have a look on the event handling of the toggleable text

field.

The toggleable text field has additional modifyListener and keyListener, maybe this is the cause of the different behaviour.

#6 - 07/01/2021 12:12 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 30 to 50

Applied in changeset taxeditor|5953dccec12018da410ai4fca6d0d37c30822dc8.

#7 - 07/01/2021 12:13 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 50 to 30

This is fixed, please review.

#8 - 07/01/2021 01:34 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Now an unprotected toggleable field can be edited. | tested with unprotected collector title of a team. But same result for e.g. name cache.

#9 - 07/01/2021 02:52 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 30 to 50

Applied in changeset taxeditor|20e64571d5a2eb538996e8670b9894f04360e7f95.

#10 - 07/01/2021 03:58 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Mdiller

| guess this is for review.

#11 - 07/02/2021 11:03 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100
works as expected now.
#12 - 07/09/2021 10:22 AM - Andreas Miiller
- Has duplicate bug #8277: Username (and other fields) should allow c&p added

#13 - 07/09/2021 10:26 AM - Andreas Muller
- Status changed from Closed to Feedback
- % Done changed from 100 to 80

| have to reopen this as now the Username and Group.name fields are editable again, but shouldn't. See also #8277.

Changing the username must not be possible. What is the reason why these fields are now editable again? Is it possible that there are other fields
influenced in the same way that are now editable but they shouldn't? If yes, this is critical and needs to be fixed as soon as possible.

#14 - 07/09/2021 11:45 AM - Katja Luther

Fixed it for the Userdetails but the group name never was disabled. | can do this as well, but maybe this is a little bit more difficult because it should
be editable as long as it is not used anywhere?

#15 - 07/09/2021 01:01 PM - Andreas Miiller
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 80 to 90
Katja Luther wrote:
Fixed it for the Userdetails but the group name never was disabled. | can do this as well, but maybe this is a little bit more difficult because it

should be editable as long as it is not used anywhere?

Yes, for groupnames it is not so obvious. But both fields are marked as unique so the easiest way to guarantee this is to make the field not editable.
On the other hand a groupname should have a semantic meaning so sometimes an admin may want to change the name to a better one.
So, yes, probably we should leave it editable. It is not a serious issue anyway.

| will check the username implementation and close the ticket then.

#16 - 07/09/2021 01:07 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 90 to 100

For usernames it works as expected.
